#include<bits/stdc++.h>
#define MAXN 10004
using namespace std;
int n,a[MAXN],b[MAXN];
int main(){
ios_base::sync_with_stdio(false);
cin.tie(NULL);
cout.tie(NULL);
//freopen("test.txt","r",stdin);
//memset(dp,0,sizeof(dp));
cin>>n;
for(int i=0;i<n;i++){
    cin>>a[i];
}
for(int i=0;i<n;i++){
    cin>>b[i];
}
int naim=-1;
for(int i=0;i<n;i++){
    for(int j=0;j<n;j++){
        if(a[i]==b[j]){
            int x=1;
            while(a[i+x]==b[j+x]&&max(i,j)+x<n){
                x++;
            }
            naim=max(naim,x);
        }
    }
}
cout<<n-naim+1;
return 0;
}

